Skip to main content
`Ctrl`+`K`

# DMCreateLabel

Create a label of the given name if it does not already exist in the `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateLabel(DM dm, const char name[])

Not Collective

## Input Parameters

- dm - The `DM` object

- name - The label name

## See Also

DM Basics, `DM`, `DMLabelCreate()`, `DMHasLabel()`, `DMGetLabelValue()`, `DMSetLabelValue()`, `DMGetStratumIS()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/label/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex10.c
src/snes/tutorials/ex12.c
src/snes/tutorials/ex77.c
src/snes/tutorials/ex56.c
src/snes/tutorials/ex8.c
src/snes/tutorials/ex23.c
src/snes/tutorials/ex69.c
src/snes/tutorials/ex13.c
src/snes/tutorials/ex11.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages